Package org.eclipse.emf.cdo.ui

# Interface CDOLoadResourceProvider

public interface CDOLoadResourceProvider
A `contributable` provider for `resources` that can be loaded into a resource set. Used by `CDOLoadResourceAction`.

Since:
  4.13
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDOLoadResourceProvider.Factory`
Creates `load resource providers`.
`static interface`
`CDOLoadResourceProvider.ImageProvider`
An optional `button image` provider interface for `load resource providers`.

## Method Summary

Modifier and Type
Method
Description
`List<URI>`
`browseResources(ResourceSet resourceSet, Shell shell, boolean multi)`
`boolean`
`canHandle(ResourceSet resourceSet)`
`String`
`getButtonText(ResourceSet resourceSet)`

## Method Details

### getButtonText

String getButtonText(ResourceSet resourceSet)

### canHandle

boolean canHandle(ResourceSet resourceSet)

### browseResources

List<URI> browseResources(ResourceSet resourceSet, Shell shell, boolean multi)